package com.jpsoft.shinestar.modules.workflow.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.base.entity.PersonPopedom;
import com.jpsoft.shinestar.modules.business.dto.ExaminePersonDTO;
import com.jpsoft.shinestar.modules.workflow.entity.ProcessSet;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ProcessSetService {
	ProcessSet get(String id);
	boolean exist(String id);
	int insert(ProcessSet model);
	int update(ProcessSet model);
	int delete(String id);
	List<ProcessSet> list();
	Page<ProcessSet> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	ExaminePersonDTO getExaminePerson(String procInstId, String processTemplateId, PersonPopedom personPopedom,Integer activityOrder,Map<String,Object> conditions) throws Exception;
}